**Getting started**

### Step 0 (see example of ussage in `example/index.js`)
 - in base-component branch, write BaseComponent class
 - wrire function checkPropTypes
 - write test cases for Component live cicle

